Subject: Re: bug#25488: 25.1; gdb package interpreter problem

From: Stefan Kangas <[email-masked]>
Date: Mon, 23 Sep 2019 15:18:56 +0200

Noam Postavsky <[email-masked]> writes:

> > Sergio Durigan Junior <[email-masked]> writes:
> >
> >> Yeah, I had the chance to look into it, and even though I don't remember
> >> the details now, I have a patch here that seems to work for me.  I'm
> >> attaching it to this message; can you check if it fixes the problem for
> >> you, please?
> >>
> >> It seems strange that the extra whitespace was added by mistake there.
> >> I'm a bit afraid that there is a case which I haven't envisioned and
> >> which requires that whitespace, but I couldn't come up with a testing
> >> scenario that triggers the error.  I tested this by debugging a binary
> >> with and without arguments (i.e., "/bin/true" and "/bin/true --help"),
> >> and both worked fine.
>
> > Thanks for reporting back and providing a patch.  Could someone more
> > familiar with this code please help test and review this?
>
> I'm not very familiar with the code, but looking around, it seems quite
> likely that the extra " " was just due to a copy paste error.

Thanks.  Sergio has also tested this, and it worked for him.  If no
one objects perhaps we could go ahead and install his patch.

I'm assuming that we have his assignment on file since his
contributions already seem to exceed the 15 line limit for trivial
changes.

Best regards,
Stefan Kangas